org.keycloak.representations.idm.authorization

## Class AuthorizationResponse

- java.lang.Object
- - org.keycloak.representations.AccessTokenResponse
  - - org.keycloak.representations.idm.authorization.AuthorizationResponse

-     public class AuthorizationResponse
      extends AccessTokenResponse

  Author:
    Pedro Igor

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.representations.AccessTokenResponse

      `error, errorDescription, errorUri, expiresIn, idToken, notBeforePolicy, otherClaims, refreshExpiresIn, refreshToken, scope, sessionState, token, tokenType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizationResponse()`
    `AuthorizationResponse(AccessTokenResponse response, boolean upgraded)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isUpgraded()`
    `void` | `setUpgraded(boolean upgraded)`

    - ### Methods inherited from class org.keycloak.representations.AccessTokenResponse

      `getError, getErrorDescription, getErrorUri, getExpiresIn, getIdToken, getNotBeforePolicy, getOtherClaims, getRefreshExpiresIn, getRefreshToken, getScope, getSessionState, getToken, getTokenType, setError, setErrorDescription, setErrorUri, setExpiresIn, setIdToken, setNotBeforePolicy, setOtherClaims, setRefreshExpiresIn, setRefreshToken, setScope, setSessionState, setToken, setTokenType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthorizationResponse

          public AuthorizationResponse()

    - #### AuthorizationResponse

          public AuthorizationResponse(AccessTokenResponse response,
                                       boolean upgraded)

  - ### Method Detail

    - #### isUpgraded

          public boolean isUpgraded()

    - #### setUpgraded

          public void setUpgraded(boolean upgraded)

Copyright © 2021 JBoss by Red Hat. All rights reserved.